/*
 * GUI_Display.h
 *
 *  Created on: 2012-3-27
 *      Author: arno.qi
 */
#ifdef GLOBALS_GUI_DISP
#define EXTERN_GUI_DISP

#else
#define EXTERN_GUI_DISP extern
#endif
#ifndef GUI_DISP_H_
#define GUI_DISP_H_

EXTERN_GUI_DISP INT8U  T_BOX_Status;
EXTERN_GUI_DISP INT16U T_BOX_time;
EXTERN_GUI_DISP void GUI_LedNormalDisplay(void);
EXTERN_GUI_DISP void GUI_LedRandomDisplay(void);
EXTERN_GUI_DISP void GUI_LCD_Clear(void);
EXTERN_GUI_DISP void GUI_Light_Out(void);
EXTERN_GUI_DISP void GUI_ZAQD_QDDPRG(void);
EXTERN_GUI_DISP void GUI_LTRN_QDDPRG(void);
EXTERN_GUI_DISP void GUI_RTRN_QDDPRG(void);
EXTERN_GUI_DISP void GUI_ABS_QDDPRG(void);
EXTERN_GUI_DISP void GUI_OBDH_QDDPRG(void);
EXTERN_GUI_DISP void GUI_OBDL_QDDPRG(void);
EXTERN_GUI_DISP void GUI_FFOG_QDDPRG(void);

#pragma CODE_SEG OTHER_ROM
EXTERN_GUI_DISP void GUI_CheckKeyProc(KeyType *KeyMenu);
EXTERN_GUI_DISP void GUI_BeepProc(BeepType *Bp);
EXTERN_GUI_DISP void far GUI_BeepOut(void);
EXTERN_GUI_DISP void GUI_BeepPicoProc(BeepType *Bp);
EXTERN_GUI_DISP void Gui_Encoded_Proc(void);
EXTERN_GUI_DISP void GUI_LCD_Display(void);
EXTERN_GUI_DISP void GUI_Motor_Start(void);
EXTERN_GUI_DISP void GUI_Motor_Reset(void);
#pragma CODE_SEG DEFAULT
#endif /* GUI_DISP_H_ */